Get enrollment status
Obtain the information of a certain enrollment, together with all the deposits tied to it.
Path parameters
idintegerRequiredExample:
Enrollment ID. It is obtained when creating the enrollment.
30Header parameters
X-Datestring · date-timeRequiredExample:
ISO8601 Datetime with Timezone: yyyy-MM-dd'T'HH:mm:ssZ
2025-10-22T10:30:00-03:00X-LoginstringRequired
Merchant X-Login API Key
AuthorizationstringRequired
Authentication signature hash
Responses
200
Successful retrieval of enrollment information.
application/json
enrollment_idintegerOptionalExample:
The unique identifier for the enrollment.
30amountnumber · doubleOptionalExample:
The amount to be charged.
1countrystringOptionalExample:
Country code (ISO 3166-1 alpha-2).
BRcurrencystringOptionalExample:
Currency code (ISO 4217).
BRLinvoice_idstringOptionalExample:
Your internal invoice identifier.
invoiceid10000amount_typestringOptionalExample:
Type of amount.
FIXEDstatusstringOptionalExample:
The current status of the enrollment.
ACTIVEfrequencystringOptionalExample:
How often the charge occurs.
MONTHLYstart_datestring · dateOptionalExample:
The date the enrollment begins.
2025-10-22depositsinteger[]OptionalExample:
A unique deposit ID.
1398852515get/enrollments/{id}
GET /v1/enrollments/{id} HTTP/1.1
Host: api-stg.onekeypayments.com
X-Date: 2025-10-22T10:30:00-03:00
X-Login: text
Authorization: text
Accept: */*
200
Successful retrieval of enrollment information.
{
"enrollment_id": 30,
"amount": 1,
"country": "BR",
"currency": "BRL",
"invoice_id": "invoiceid10000",
"amount_type": "FIXED",
"status": "ACTIVE",
"frequency": "MONTHLY",
"start_date": "2025-10-22",
"payer": {
"id": "404606303",
"email": "ricardo.carlos@example.com",
"first_name": "Ricardo",
"last_name": "Carlos",
"phone": "+5511999999999",
"full_name": "Ricardo Carlos"
},
"deposits": [
1398852515
]
}Last updated
Was this helpful?

